POST
/
api
/
v1
/
tasks
/
{task_id}
/
artifacts
Create Task Artifact
curl --request POST \
  --url https://api.jobsim.work/api/v1/tasks/{task_id}/artifacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "content": "<string>",
  "artifact_type": "document",
  "content_format": "markdown",
  "summary": "<string>",
  "change_notes": "<string>",
  "metadata": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string
required

Body

application/json
title
string
required
Required string length: 1 - 200
content
string
required
Minimum string length: 1
artifact_type
string
default:document
content_format
string
default:markdown
summary
string | null
change_notes
string | null
metadata
Metadata · object

Response

Successful Response